Subject: Re: linux-next: build failure after merge of the final tree (net tree related)

From: David Miller <[email-masked]>
Date: Sun, 29 Aug 2010 21:23:11 -0700 (PDT)

From: Simon Horman <[email-masked]>
Date: Mon, 30 Aug 2010 12:29:39 +0900

> On Mon, Aug 30, 2010 at 01:04:53PM +1000, Stephen Rothwell wrote:
>> Hi all,
>> 
>> After merging the final tree, today's linux-next build (powerpc
>> allyesconfig) failed like this:
>> 
>> net/netfilter/ipvs/ip_vs_core.c: In function 'ip_vs_nat_icmp_v6':
>> net/netfilter/ipvs/ip_vs_core.c:640: error: implicit declaration of function 'csum_ipv6_magic'
>> 
>> Caused by commit 8870f8427b8fe30b2684b9e569e5ce038faf41ac ("IPVS: ICMPv6
>> checksum calculation").  I added the following patch:
>> [I think we have seen this before :-(]
>> 
>> From: Stephen Rothwell <[email-masked]>
>> Date: Mon, 30 Aug 2010 13:01:20 +1000
>> Subject: [PATCH] IPVS: include net/ip6_checksum.h for csum_ipv6_magic
>> 
>> Fixes this build error:
>> 
>> net/netfilter/ipvs/ip_vs_core.c: In function 'ip_vs_nat_icmp_v6':
>> net/netfilter/ipvs/ip_vs_core.c:640: error: implicit declaration of function 'csum_ipv6_magic'
> 
> Sorry about that, I didn't notice it because it doesn't show up on x86.
> 
>> Signed-off-by: Stephen Rothwell <[email-masked]>
> Signed-off-by: Simon Horman <[email-masked]>

Applied thanks everyone.